Page MenuHomePhabricator

Incorrect dependency configuration of momentjs - should depend on mediawiki.language
Closed, ResolvedPublic

Description

Current mw has a hack on momentjs, moment-locale-overrides.js. This file depends on mediawiki.language, which is not specified as a dependence of moment.

Details

Related Gerrit Patches:

Event Timeline

Nbdd0121 created this task.Jun 3 2016, 11:30 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 11:30 PM
Krinkle renamed this task from Incorrect dependence configuration of momentjs to Incorrect dependency configuration of momentjs.Jun 3 2016, 11:43 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 3 2016, 11:43 PM
Aklapper renamed this task from Incorrect dependency configuration of momentjs to Incorrect dependency configuration of momentjs - should depend on mediawiki.language.Jun 6 2016, 10:57 AM

Change 292965 had a related patch set uploaded (by Catrope):
Follow-up c81ab8ae5f: add forgotten dependency on mediawiki.language

https://gerrit.wikimedia.org/r/292965

matmarex closed this task as Resolved.Jun 6 2016, 7:18 PM
matmarex assigned this task to Catrope.

Change 292965 merged by jenkins-bot:
Follow-up c81ab8ae5f: add forgotten dependency on mediawiki.language

https://gerrit.wikimedia.org/r/292965